ValueSourceParser (Solr 3.6.2 API)
Keywords: org.apache.solr.search.ValueSourceParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class ValueSourceParser

    java.lang.Object
      org.apache.solr.search.ValueSourceParser

All Implemented Interfaces:
  NamedListInitializedPlugin

    public abstract class ValueSourceParser

extends Object
implements NamedListInitializedPlugin

A factory that parses user queries to generate ValueSource instances. Intended usage is to create pluggable, named functions for use in function queries.

Field Summary
`static Map<String,ValueSourceParser>` | `standardValueSourceParsers`

Constructor Summary
`ValueSourceParser()`

Method Summary
`static ValueSourceParser` | `addParser(org.apache.solr.search.NamedParser p)` Adds a new parser for the name and returns any existing one that was overriden.
`static ValueSourceParser` | `addParser(String name, ValueSourceParser p)` Adds a new parser for the name and returns any existing one that was overriden.
`void` | `init(NamedList args)` Initialize the plugin.
`abstract ValueSource` | `parse(FunctionQParser fp)` Parse the user input into a ValueSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### standardValueSourceParsers

    public static Map<String,ValueSourceParser> standardValueSourceParsers

Constructor Detail

### ValueSourceParser

    public ValueSourceParser()

Method Detail

### init

    public void init(NamedList args)

  Initialize the plugin.

  Specified by:
    `init` in interface `NamedListInitializedPlugin`

### parse

    public abstract ValueSource parse(FunctionQParser fp)
                               throws ParseException

  Parse the user input into a ValueSource.

  Parameters:
    `fp` -
  Throws:
    `ParseException`

### addParser

    public static ValueSourceParser addParser(String name,
                                              ValueSourceParser p)

  Adds a new parser for the name and returns any existing one that was overriden. This is not thread safe.

### addParser

    public static ValueSourceParser addParser(org.apache.solr.search.NamedParser p)

  Adds a new parser for the name and returns any existing one that was overriden. This is not thread safe.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD